Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.event
Class VetoableEventMethod

    java.lang.Object
      org.apache.slide.event.AbstractEventMethod
          org.apache.slide.event.VetoableEventMethod

Direct Known Subclasses:
  ContentEvent.Create, ContentEvent.Fork, ContentEvent.Merge, ContentEvent.Remove, ContentEvent.Retrieve, ContentEvent.Store, EventCollection.VetoableCollected, GenericEvent.VetoableEventFired, LockEvent.Kill, LockEvent.Lock, LockEvent.Renew, LockEvent.Unlock, MacroEvent.Copy, MacroEvent.Delete, MacroEvent.Move, SearchEvent.Search, SecurityEvent.DenyPermission, SecurityEvent.GrantPermission, SecurityEvent.RevokePermission, StructureEvent.AddBinding, StructureEvent.Create, StructureEvent.CreateLink, StructureEvent.Remove, StructureEvent.RemoveBinding, StructureEvent.Retrieve, StructureEvent.Store, TransactionEvent.Commit

public abstract class VetoableEventMethod
extends AbstractEventMethod

Vetoable event firer interface

Version:
  $Revision: 1.2 $

Constructor Summary
`VetoableEventMethod(java.lang.String group, java.lang.String name)`

Method Summary
`abstract void` | `fireVetaoableEvent(java.util.EventListener listener, java.util.EventObject event)`

Methods inherited from class org.apache.slide.event.AbstractEventMethod
`getGroup, getId, getName, isEnabled, setEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VetoableEventMethod

    public VetoableEventMethod(java.lang.String group,
                               java.lang.String name)

Method Detail

### fireVetaoableEvent

    public abstract void fireVetaoableEvent(java.util.EventListener listener,
                                            java.util.EventObject event)
                                     throws VetoException

  Throws:
    `VetoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD